Package org.apache.wiki.tasks

## Class DefaultTasksManager

- java.lang.Object
- - org.apache.wiki.tasks.DefaultTasksManager

All Implemented Interfaces:
  `TasksManager`

    public class DefaultTasksManager
    extends java.lang.Object
    implements TasksManager

Default implementation for `TasksManager`.

### Field Summary

### Fields inherited from interface org.apache.wiki.tasks.TasksManager

`USER_PROFILE_SAVE_TASK_MESSAGE_KEY, WIKIPAGE_PRESAVE_TASK_MESSAGE_KEY, WIKIPAGE_SAVE_TASK_MESSAGE_KEY`

### Constructor Summary

Constructors
`DefaultTasksManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Step` `buildPreSaveWikiPageTask​(java.lang.String proposedText)` Builds a pre-save WikiPage task.
`Step` `buildSaveUserProfileTask​(java.util.Locale loc)` Builds a save user profile task.
`Step` `buildSaveWikiPageTask()` Builds a save WikiPage task.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultTasksManager

    public DefaultTasksManager()

### Method Detail

#### buildPreSaveWikiPageTask

    public Step buildPreSaveWikiPageTask​(java.lang.String proposedText)

Builds a pre-save WikiPage task.

Specified by:
  `buildPreSaveWikiPageTask` in interface `TasksManager`
Parameters:
  `proposedText` - text proposed to be saved on the wiki page.
Returns:
  a pre-save WikiPage task.

#### buildSaveWikiPageTask

    public Step buildSaveWikiPageTask()

Builds a save WikiPage task.

Specified by:
  `buildSaveWikiPageTask` in interface `TasksManager`
Returns:
  a save WikiPage task.

#### buildSaveUserProfileTask

    public Step buildSaveUserProfileTask​(java.util.Locale loc)

Builds a save user profile task.

Specified by:
  `buildSaveUserProfileTask` in interface `TasksManager`
Parameters:
  `loc` - text proposed to be saved on the wiki page.
Returns:
  a save user profile task.